var mysql = require("mysql");

var pool = mysql.createPool({
  connectionLimit: 1,
  host: "mysql",
  user: "root",
  password: "secret",
  database: "supertestdb",
  debug: false
});

test("query db", done => {
  console.log("Connecting to database");
  
  function callback(data) {
    console.log("Callback: " + data);
    expect(data).toBe("SUCCESS");
    done();
  }

  pool.getConnection((err, connection) => {
    console.log("Connected to database");
    if (err) {
      callback("Feil ved kobling til databasen: " + err);
    } else {
      connection.query(
        "select 1",
        (err, rows) => {
          connection.release();
          if (err) {
            callback("Query error: " + err);
          } else {
            callback("SUCCESS");
          }
        }
      );
    }
  });
});